Diagnostics
All operations require authentication.
Get the diagnostic of an xDSL accessProduction
Returns the last diagnostic of the access: modem connection, ping, LNS activity, ongoing incident or maintenance, line details, available tests and remaining diagnostics.
Path parameters
Service name
Response
Available tests for this access
Datime of the diagnostic
Is there an ongoing genericIncident on the access ?
Is the access active on its primary or secondary LNS
Is the modem connected ?
Test details by line
Is there an ongoing scheduled maintenance by operator on the access ?
Does the access ping ?
Remaining number of diagnostic for this access
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ diagnostic \
-H "authorization: Bearer $OVH_TOKEN"{ "capabilities": { "incident": true, "isActiveOnLns": true, "isModemConnected": true, "lineTest": true, "ping": true, "proposedProfileId": true, "sync": true }, "diagnosticTime": "2024-01-01T12:00:00Z", "incident": true, "isActiveOnLns": true, "isModemConnected": true, "lineDetails": [ { "lineTest": "actionPending", "lineTestTime": "2024-01-01T12:00:00Z", "number": "string", "proposedProfileId": 0, "sync": true } ], "maintenance": true, "ping": true, "remaining": 0}
Run a diagnostic on an xDSL accessProduction
Starts a diagnostic of the access. Returns the task that performs the change.
Path parameters
Service name
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ diagnostic \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Get the incident of an xDSL accessProduction
Returns the generic incident that impacts the access, if any, with its estimated start and end dates, operators, NRA and departments.
Path parameters
Service name
Response
Estimated start date
Department list
Estimated end date
ID of the incident
NRA list
Operator
bouyguescollectkoscTask ID on travaux.ovh.com
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ incident \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "departments": [ "string" ], "endDate": "2024-01-01T12:00:00Z", "id": 0, "nra": [ "string" ], "operators": [ "bouygues" ], "taskId": 0, "taskReference": "string"}
List the RADIUS connection logs of an xDSL accessProduction
Returns the RADIUS authentication attempts of the access with their date, login, state and message.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ radiusConnectionLogs \
-H "authorization: Bearer $OVH_TOKEN"[ { "date": "2024-01-01T12:00:00Z", "login": "string", "message": "string", "state": "string" }]
Get the statistics of an xDSL accessProduction
Returns the ping or download and upload traffic values of the access over a daily, weekly, monthly or yearly period, with their unit.
Path parameters
Service name
Query parameters
Periods for statistics.
dailymonthlypreviewweeklyyearlyVarious types of statisctics available for the access.
pingtraffic:downloadtraffic:uploadResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ statistics \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "values": [ { "loss": 0, "status": 0, "timestamp": 0, "value": 0, "verboseStatus": "string" } ]}